#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghc-api-compat
version:              8.6.1
visibility:           public
id:                   ghc-api-compat-8.6.1-8q1QXYlk3reHFu3K5ZdhQ
key:                  ghc-api-compat-8.6.1-8q1QXYlk3reHFu3K5ZdhQ
license:              BSD-3-Clause
copyright:            Sylvain Henry 2020
maintainer:           sylvain@haskus.fr
author:               Sylvain Henry
synopsis:             GHC-API compatibility helpers
description:
    GHC codebase is a moving target. This package provides
    compatibility for codes relying on an older GHC-API version.
    See https://gitlab.haskell.org/ghc/ghc/-/wikis/Make-GHC-codebase-more-modular for the migration plan.

category:             Development
abi:                  8e28d1a5d00cb67212595546bc3d3690
exposed:              True
exposed-modules:
    Annotations from ghc-9.0.1:GHC.Types.Annotations,
    Ar from ghc-9.0.1:GHC.SysTools.Ar,
    AsmCodeGen from ghc-9.0.1:GHC.CmmToAsm,
    AsmUtils from ghc-9.0.1:GHC.Utils.Asm,
    Avail from ghc-9.0.1:GHC.Types.Avail,
    Bag from ghc-9.0.1:GHC.Data.Bag,
    Basic from ghc-9.0.1:GHC.Types.Basic,
    BasicTypes from ghc-9.0.1:GHC.Types.Basic,
    BinIface from ghc-9.0.1:GHC.Iface.Binary,
    Binary from ghc-9.0.1:GHC.Utils.Binary,
    BitMap from ghc-9.0.1:GHC.Data.Bitmap,
    Bitmap from ghc-9.0.1:GHC.Data.Bitmap,
    BkpSyn from ghc-9.0.1:GHC.Driver.Backpack.Syntax,
    BlockId from ghc-9.0.1:GHC.Cmm.BlockId,
    BlockLayout from ghc-9.0.1:GHC.CmmToAsm.BlockLayout,
    BooleanFormula from ghc-9.0.1:GHC.Data.BooleanFormula,
    BufWrite from ghc-9.0.1:GHC.Utils.BufHandle,
    ByteCodeAsm from ghc-9.0.1:GHC.ByteCode.Asm,
    ByteCodeGen from ghc-9.0.1:GHC.CoreToByteCode,
    ByteCodeInstr from ghc-9.0.1:GHC.ByteCode.Instr,
    ByteCodeItbls from ghc-9.0.1:GHC.ByteCode.InfoTable,
    ByteCodeLink from ghc-9.0.1:GHC.ByteCode.Linker,
    ByteCodeTypes from ghc-9.0.1:GHC.ByteCode.Types,
    CFG from ghc-9.0.1:GHC.CmmToAsm.CFG,
    CLabel from ghc-9.0.1:GHC.Cmm.CLabel,
    CPrim from ghc-9.0.1:GHC.CmmToAsm.CPrim,
    CType from ghc-9.0.1:GHC.Parser.CharClass,
    CgUtils from ghc-9.0.1:GHC.StgToCmm.CgUtils,
    Check from ghc-9.0.1:GHC.HsToCore.PmCheck,
    Class from ghc-9.0.1:GHC.Core.Class,
    CliOption from ghc-9.0.1:GHC.Utils.CliOption,
    CmdLineParser from ghc-9.0.1:GHC.Driver.CmdLine,
    Cmm from ghc-9.0.1:GHC.Cmm,
    CmmBuildInfoTables from ghc-9.0.1:GHC.Cmm.Info.Build,
    CmmCallConv from ghc-9.0.1:GHC.Cmm.CallConv,
    CmmCommonBlockElim from ghc-9.0.1:GHC.Cmm.CommonBlockElim,
    CmmContFlowOpt from ghc-9.0.1:GHC.Cmm.ContFlowOpt,
    CmmExpr from ghc-9.0.1:GHC.Cmm.Expr,
    CmmImplementSwitchPlans from ghc-9.0.1:GHC.Cmm.Switch.Implement,
    CmmInfo from ghc-9.0.1:GHC.Cmm.Info,
    CmmLayoutStack from ghc-9.0.1:GHC.Cmm.LayoutStack,
    CmmLex from ghc-9.0.1:GHC.Cmm.Lexer,
    CmmLint from ghc-9.0.1:GHC.Cmm.Lint,
    CmmLive from ghc-9.0.1:GHC.Cmm.Liveness,
    CmmMachOp from ghc-9.0.1:GHC.Cmm.MachOp,
    CmmMonad from ghc-9.0.1:GHC.Cmm.Monad,
    CmmNode from ghc-9.0.1:GHC.Cmm.Node,
    CmmOpt from ghc-9.0.1:GHC.Cmm.Opt,
    CmmParse from ghc-9.0.1:GHC.Cmm.Parser,
    CmmPipeline from ghc-9.0.1:GHC.Cmm.Pipeline,
    CmmProcPoint from ghc-9.0.1:GHC.Cmm.ProcPoint,
    CmmSink from ghc-9.0.1:GHC.Cmm.Sink,
    CmmSwitch from ghc-9.0.1:GHC.Cmm.Switch,
    CmmType from ghc-9.0.1:GHC.Cmm.Type,
    CmmUtils from ghc-9.0.1:GHC.Cmm.Utils,
    CoAxion from ghc-9.0.1:GHC.Core.Coercion.Axiom,
    CodeGen.Platform from ghc-9.0.1:GHC.Platform.Regs,
    CodeGen.Platform.ARM from ghc-9.0.1:GHC.Platform.ARM,
    CodeGen.Platform.ARM64 from ghc-9.0.1:GHC.Platform.AArch64,
    CodeGen.Platform.NoRegs from ghc-9.0.1:GHC.Platform.NoRegs,
    CodeGen.Platform.PPC from ghc-9.0.1:GHC.Platform.PPC,
    CodeGen.Platform.SPARC from ghc-9.0.1:GHC.Platform.SPARC,
    CodeGen.Platform.X86 from ghc-9.0.1:GHC.Platform.X86,
    CodeGen.Platform.X86_64 from ghc-9.0.1:GHC.Platform.X86_64,
    CodeOutput from ghc-9.0.1:GHC.Driver.CodeOutput,
    Coercion from ghc-9.0.1:GHC.Core.Coercion,
    ConLike from ghc-9.0.1:GHC.Core.ConLike,
    Config from ghc-9.0.1:GHC.Settings.Config,
    Constants from ghc-9.0.1:GHC.Settings.Constants,
    Convert from ghc-9.0.1:GHC.ThToHs,
    CoreArity from ghc-9.0.1:GHC.Core.Opt.Arity,
    CoreFVs from ghc-9.0.1:GHC.Core.FVs,
    CoreLint from ghc-9.0.1:GHC.Core.Lint,
    CoreMap from ghc-9.0.1:GHC.Core.Map,
    CoreMonad from ghc-9.0.1:GHC.Core.Opt.Monad,
    CoreOpt from ghc-9.0.1:GHC.Core.SimpleOpt,
    CorePrep from ghc-9.0.1:GHC.CoreToStg.Prep,
    CoreSeq from ghc-9.0.1:GHC.Core.Seq,
    CoreStats from ghc-9.0.1:GHC.Core.Stats,
    CoreSubst from ghc-9.0.1:GHC.Core.Subst,
    CoreSyn from ghc-9.0.1:GHC.Core,
    CoreTidy from ghc-9.0.1:GHC.Core.Tidy,
    CoreToStg from ghc-9.0.1:GHC.CoreToStg,
    CoreUnfold from ghc-9.0.1:GHC.Core.Unfold,
    CoreUtils from ghc-9.0.1:GHC.Core.Utils,
    CostCentre from ghc-9.0.1:GHC.Types.CostCentre,
    CostCentreState from ghc-9.0.1:GHC.Types.CostCentre.State,
    Coverage from ghc-9.0.1:GHC.HsToCore.Coverage,
    Cpr from ghc-9.0.1:GHC.Types.Cpr,
    DataCon from ghc-9.0.1:GHC.Core.DataCon,
    Debug from ghc-9.0.1:GHC.Cmm.DebugBlock,
    Debugger from ghc-9.0.1:GHC.Runtime.Debugger,
    Demand from ghc-9.0.1:GHC.Types.Demand,
    Desugar from ghc-9.0.1:GHC.HsToCore,
    DiGraph from ghc-9.0.1:GHC.Data.Graph.Directed,
    Dominators from ghc-9.0.1:GHC.CmmToAsm.CFG.Dominators,
    DriverBkp from ghc-9.0.1:GHC.Driver.Backpack,
    DriverMkDepend from ghc-9.0.1:GHC.Driver.MakeFile,
    DriverPhases from ghc-9.0.1:GHC.Driver.Phases,
    DriverPipeline from ghc-9.0.1:GHC.Driver.Pipeline,
    DsArrows from ghc-9.0.1:GHC.HsToCore.Arrows,
    DsBinds from ghc-9.0.1:GHC.HsToCore.Binds,
    DsCCall from ghc-9.0.1:GHC.HsToCore.Foreign.Call,
    DsExpr from ghc-9.0.1:GHC.HsToCore.Expr,
    DsForeign from ghc-9.0.1:GHC.HsToCore.Foreign.Decl,
    DsGRHSs from ghc-9.0.1:GHC.HsToCore.GuardedRHSs,
    DsListComp from ghc-9.0.1:GHC.HsToCore.ListComp,
    DsMeta from ghc-9.0.1:GHC.HsToCore.Quote,
    DsMonad from ghc-9.0.1:GHC.HsToCore.Monad,
    DsUsage from ghc-9.0.1:GHC.HsToCore.Usage,
    DsUtils from ghc-9.0.1:GHC.HsToCore.Utils,
    Dwarf from ghc-9.0.1:GHC.CmmToAsm.Dwarf,
    Dwarf.Constants from ghc-9.0.1:GHC.CmmToAsm.Dwarf.Constants,
    Dwarf.Types from ghc-9.0.1:GHC.CmmToAsm.Dwarf.Types,
    DynFlags from ghc-9.0.1:GHC.Driver.Session,
    DynamicLoading from ghc-9.0.1:GHC.Runtime.Loader,
    Elf from ghc-9.0.1:GHC.SysTools.Elf,
    Encoding from ghc-9.0.1:GHC.Utils.Encoding,
    EnumSet from ghc-9.0.1:GHC.Data.EnumSet,
    ErrUtils from ghc-9.0.1:GHC.Utils.Error,
    Exception from ghc-9.0.1:GHC.Utils.Exception,
    ExtractDocs from ghc-9.0.1:GHC.HsToCore.Docs,
    FV from ghc-9.0.1:GHC.Utils.FV,
    FamInstEnv from ghc-9.0.1:GHC.Core.FamInstEnv,
    FastFunctions from ghc-9.0.1:GHC.Utils.IO.Unsafe,
    FastMutInt from ghc-9.0.1:GHC.Data.FastMutInt,
    FastString from ghc-9.0.1:GHC.Data.FastString,
    FastStringEnv from ghc-9.0.1:GHC.Data.FastString.Env,
    FieldLabel from ghc-9.0.1:GHC.Types.FieldLabel,
    FileCleanup from ghc-9.0.1:GHC.SysTools.FileCleanup,
    Finder from ghc-9.0.1:GHC.Driver.Finder,
    Fingerprint from ghc-9.0.1:GHC.Utils.Fingerprint,
    FiniteMap from ghc-9.0.1:GHC.Data.FiniteMap,
    ForeignCall from ghc-9.0.1:GHC.Types.ForeignCall,
    Format from ghc-9.0.1:GHC.CmmToAsm.Format, GHC from ghc-9.0.1:GHC,
    GHC.Builtin.Names from ghc-9.0.1:GHC.Builtin.Names,
    GHC.Builtin.Names.TH from ghc-9.0.1:GHC.Builtin.Names.TH,
    GHC.Builtin.RebindableNames from ghc-9.0.1:GHC.Builtin.RebindableNames,
    GHC.Core.Multiplicity from ghc-9.0.1:GHC.Core.Multiplicity,
    GHC.Core.UsageEnv from ghc-9.0.1:GHC.Core.UsageEnv,
    GHC.Driver.Backend from ghc-9.0.1:GHC.Driver.Backend,
    GHC.Hs.Expr from ghc-9.0.1:GHC.Hs.Expr,
    GHC.Hs.Extension from ghc-9.0.1:GHC.Hs.Extension,
    GHC.Iface.Recomp from ghc-9.0.1:GHC.Iface.Recomp,
    GHCi from ghc-9.0.1:GHC.Runtime.Interpreter,
    GhcMake from ghc-9.0.1:GHC.Driver.Make,
    GhcMonad from ghc-9.0.1:GHC.Driver.Monad,
    GhcPlugins from ghc-9.0.1:GHC.Plugins,
    GhcPrelude from ghc-9.0.1:GHC.Prelude,
    GraphBase from ghc-9.0.1:GHC.Data.Graph.Base,
    GraphColor from ghc-9.0.1:GHC.Data.Graph.Color,
    GraphOps from ghc-9.0.1:GHC.Data.Graph.Ops,
    GraphPpr from ghc-9.0.1:GHC.Data.Graph.Ppr,
    HeaderInfo from ghc-9.0.1:GHC.Parser.Header,
    HieAst from ghc-9.0.1:GHC.Iface.Ext.Ast,
    HieBin from ghc-9.0.1:GHC.Iface.Ext.Binary,
    HieDebug from ghc-9.0.1:GHC.Iface.Ext.Debug,
    HieTypes from ghc-9.0.1:GHC.Iface.Ext.Types,
    HieUtils from ghc-9.0.1:GHC.Iface.Ext.Utils,
    Hooks from ghc-9.0.1:GHC.Driver.Hooks,
    Hoopl.Block from ghc-9.0.1:GHC.Cmm.Dataflow.Block,
    Hoopl.Collections from ghc-9.0.1:GHC.Cmm.Dataflow.Collections,
    Hoopl.Dataflow from ghc-9.0.1:GHC.Cmm.Dataflow,
    Hoopl.Graph from ghc-9.0.1:GHC.Cmm.Dataflow.Graph,
    Hoopl.Label from ghc-9.0.1:GHC.Cmm.Dataflow.Label,
    HsBinds from ghc-9.0.1:GHC.Hs.Binds,
    HsDecls from ghc-9.0.1:GHC.Hs.Decls,
    HsDoc from ghc-9.0.1:GHC.Hs.Doc,
    HsDumpAst from ghc-9.0.1:GHC.Hs.Dump,
    HsExpr from ghc-9.0.1:GHC.Hs.Expr,
    HsExtension from ghc-9.0.1:GHC.Hs.Extension,
    HsImpExp from ghc-9.0.1:GHC.Hs.ImpExp,
    HsInstances from ghc-9.0.1:GHC.Hs.Instances,
    HsLit from ghc-9.0.1:GHC.Hs.Lit, HsPat from ghc-9.0.1:GHC.Hs.Pat,
    HsSyn from ghc-9.0.1:GHC.Hs, HsTypes from ghc-9.0.1:GHC.Hs.Type,
    HsUtils from ghc-9.0.1:GHC.Hs.Utils,
    HscMain from ghc-9.0.1:GHC.Driver.Main,
    HscTypes from ghc-9.0.1:GHC.Driver.Types,
    IOEnv from ghc-9.0.1:GHC.Data.IOEnv,
    Id from ghc-9.0.1:GHC.Types.Id,
    IfaceEnv from ghc-9.0.1:GHC.Iface.Env,
    IfaceSyn from ghc-9.0.1:GHC.Iface.Syntax,
    IfaceType from ghc-9.0.1:GHC.Iface.Type,
    Info from ghc-9.0.1:GHC.Types.Id.Info,
    InstEnv from ghc-9.0.1:GHC.Core.InstEnv,
    Instruction from ghc-9.0.1:GHC.CmmToAsm.Instr,
    InteractiveEval from ghc-9.0.1:GHC.Runtime.Eval,
    InteractiveEvalTypes from ghc-9.0.1:GHC.Runtime.Eval.Types,
    Json from ghc-9.0.1:GHC.Utils.Json,
    KnownUniques from ghc-9.0.1:GHC.Builtin.Uniques,
    Lexeme from ghc-9.0.1:GHC.Utils.Lexeme,
    Lexer from ghc-9.0.1:GHC.Parser.Lexer,
    Linker from ghc-9.0.1:GHC.Runtime.Linker,
    LinkerTypes from ghc-9.0.1:GHC.Runtime.Linker.Types,
    ListSetOpts from ghc-9.0.1:GHC.Data.List.SetOps,
    Literal from ghc-9.0.1:GHC.Types.Literal,
    Llvm from ghc-9.0.1:GHC.Llvm,
    Llvm.AbsSyn from ghc-9.0.1:GHC.Llvm.Syntax,
    Llvm.MetaData from ghc-9.0.1:GHC.Llvm.MetaData,
    Llvm.PpLlvm from ghc-9.0.1:GHC.Llvm.Ppr,
    Llvm.Types from ghc-9.0.1:GHC.Llvm.Types,
    LlvmCodeGen from ghc-9.0.1:GHC.CmmToLlvm,
    LlvmCodeGen.Base from ghc-9.0.1:GHC.CmmToLlvm.Base,
    LlvmCodeGen.CodeGen from ghc-9.0.1:GHC.CmmToLlvm.CodeGen,
    LlvmCodeGen.Data from ghc-9.0.1:GHC.CmmToLlvm.Data,
    LlvmCodeGen.Ppr from ghc-9.0.1:GHC.CmmToLlvm.Ppr,
    LlvmCodeGen.Regs from ghc-9.0.1:GHC.CmmToLlvm.Regs,
    LlvmMangler from ghc-9.0.1:GHC.CmmToLlvm.Mangler,
    LoadIface from ghc-9.0.1:GHC.Iface.Load,
    Make from ghc-9.0.1:GHC.Types.Id.Make,
    Match from ghc-9.0.1:GHC.HsToCore.Match,
    MatchCon from ghc-9.0.1:GHC.HsToCore.Match.Constructor,
    MatchLit from ghc-9.0.1:GHC.HsToCore.Match.Literal,
    Maybes from ghc-9.0.1:GHC.Data.Maybe,
    MkCore from ghc-9.0.1:GHC.Core.Make,
    MkGraph from ghc-9.0.1:GHC.Cmm.Graph,
    MkIface from ghc-9.0.1:GHC.Iface.Make,
    Module from ghc-9.0.1:GHC.Unit.Module,
    MonadUtils from ghc-9.0.1:GHC.Utils.Monad,
    NCGMonad from ghc-9.0.1:GHC.CmmToAsm.Monad,
    Name from ghc-9.0.1:GHC.Types.Name,
    NameCache from ghc-9.0.1:GHC.Types.Name.Cache,
    NameEnv from ghc-9.0.1:GHC.Types.Name.Env,
    NameSet from ghc-9.0.1:GHC.Types.Name.Set,
    NameShape from ghc-9.0.1:GHC.Types.Name.Shape,
    OccName from ghc-9.0.1:GHC.Types.Name.Occurrence,
    OptCoercion from ghc-9.0.1:GHC.Core.Coercion.Opt,
    OrdList from ghc-9.0.1:GHC.Data.OrdList, Outputable,
    PIC from ghc-9.0.1:GHC.CmmToAsm.PIC,
    PPC.CodeGen from ghc-9.0.1:GHC.CmmToAsm.PPC.CodeGen,
    PPC.Cond from ghc-9.0.1:GHC.CmmToAsm.PPC.Cond,
    PPC.Instr from ghc-9.0.1:GHC.CmmToAsm.PPC.Instr,
    PPC.Ppr from ghc-9.0.1:GHC.CmmToAsm.PPC.Ppr,
    PPC.RegInfo from ghc-9.0.1:GHC.CmmToAsm.PPC.RegInfo,
    PPC.Regs from ghc-9.0.1:GHC.CmmToAsm.PPC.Regs,
    PackageConfig from ghc-9.0.1:GHC.Unit.Info,
    Packages from ghc-9.0.1:GHC.Unit.State,
    Pair from ghc-9.0.1:GHC.Data.Pair,
    Panic from ghc-9.0.1:GHC.Utils.Panic,
    Parser from ghc-9.0.1:GHC.Parser,
    PatSyn from ghc-9.0.1:GHC.Core.PatSyn,
    PipelineMonad from ghc-9.0.1:GHC.Driver.Pipeline.Monad,
    PlainPanic from ghc-9.0.1:GHC.Utils.Panic.Plain,
    Plugins from ghc-9.0.1:GHC.Driver.Plugins,
    PmOracle from ghc-9.0.1:GHC.HsToCore.PmCheck.Oracle,
    PmPpr from ghc-9.0.1:GHC.HsToCore.PmCheck.Ppr,
    PmTypes from ghc-9.0.1:GHC.HsToCore.PmCheck.Types,
    PprBase from ghc-9.0.1:GHC.CmmToAsm.Ppr,
    PprC from ghc-9.0.1:GHC.CmmToC, PprCmm from ghc-9.0.1:GHC.Cmm.Ppr,
    PprCmmDecl from ghc-9.0.1:GHC.Cmm.Ppr.Decl,
    PprCmmExpr from ghc-9.0.1:GHC.Cmm.Ppr.Expr,
    PprColour from ghc-9.0.1:GHC.Utils.Ppr.Colour,
    PprCore from ghc-9.0.1:GHC.Core.Ppr,
    PprTyThing from ghc-9.0.1:GHC.Core.Ppr.TyThing,
    Predicate from ghc-9.0.1:GHC.Core.Predicate,
    PrelInfo from ghc-9.0.1:GHC.Builtin.Utils,
    Pretty from ghc-9.0.1:GHC.Utils.Ppr,
    PrimOp from ghc-9.0.1:GHC.Builtin.PrimOps,
    RdrHsSyn from ghc-9.0.1:GHC.Parser.PostProcess,
    RdrName from ghc-9.0.1:GHC.Types.Name.Reader,
    Reg from ghc-9.0.1:GHC.Platform.Reg,
    RegAlloc.Graph.ArchBase from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.Base,
    RegAlloc.Graph.ArchX86 from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.X86,
    RegAlloc.Graph.Coalesce from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.Coalesce,
    RegAlloc.Graph.Main from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph,
    RegAlloc.Graph.Spill from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.Spill,
    RegAlloc.Graph.SpillClean from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.SpillClean,
    RegAlloc.Graph.SpillCost from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.SpillCost,
    RegAlloc.Graph.Stats from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.Stats,
    RegAlloc.Graph.TrivColorable from ghc-9.0.1:GHC.CmmToAsm.Reg.Graph.TrivColorable,
    RegAlloc.Linear.Base from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.Base,
    RegAlloc.Linear.FreeRegs from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.FreeRegs,
    RegAlloc.Linear.JoinToTargets from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.JoinToTargets,
    RegAlloc.Linear.Main from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear,
    RegAlloc.Linear.PPC.FreeRegs from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.PPC,
    RegAlloc.Linear.SPARC.FreeRegs from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.SPARC,
    RegAlloc.Linear.StackMap from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.StackMap,
    RegAlloc.Linear.State from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.State,
    RegAlloc.Linear.Stats from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.Stats,
    RegAlloc.Linear.X86.FreeRegs from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.X86,
    RegAlloc.Linear.X86_64.FreeRegs from ghc-9.0.1:GHC.CmmToAsm.Reg.Linear.X86_64,
    RegAlloc.Liveness from ghc-9.0.1:GHC.CmmToAsm.Reg.Liveness,
    RegClass from ghc-9.0.1:GHC.Platform.Reg.Class,
    RepType from ghc-9.0.1:GHC.Types.RepType,
    RnBinds from ghc-9.0.1:GHC.Rename.Bind,
    RnEnv from ghc-9.0.1:GHC.Rename.Env,
    RnExpr from ghc-9.0.1:GHC.Rename.Expr,
    RnFixity from ghc-9.0.1:GHC.Rename.Fixity,
    RnHsDoc from ghc-9.0.1:GHC.Rename.Doc,
    RnModIface from ghc-9.0.1:GHC.Iface.Rename,
    RnNames from ghc-9.0.1:GHC.Rename.Names,
    RnPat from ghc-9.0.1:GHC.Rename.Pat,
    RnSource from ghc-9.0.1:GHC.Rename.Module,
    RnSplice from ghc-9.0.1:GHC.Rename.Splice,
    RnTypes from ghc-9.0.1:GHC.Rename.HsType,
    RnUnbound from ghc-9.0.1:GHC.Rename.Unbound,
    RnUtils from ghc-9.0.1:GHC.Rename.Utils,
    RtClosureInspect from ghc-9.0.1:GHC.Runtime.Heap.Inspect,
    Rules from ghc-9.0.1:GHC.Core.Rules,
    SMRep from ghc-9.0.1:GHC.Runtime.Heap.Layout,
    SPARC.AddrMode from ghc-9.0.1:GHC.CmmToAsm.SPARC.AddrMode,
    SPARC.Base from ghc-9.0.1:GHC.CmmToAsm.SPARC.Base,
    SPARC.CodeGen from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen,
    SPARC.CodeGen.Amode from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Amode,
    SPARC.CodeGen.Base from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Base,
    SPARC.CodeGen.CondCode from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.CondCode,
    SPARC.CodeGen.Expand from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Expand,
    SPARC.CodeGen.Gen32 from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Gen32,
    SPARC.CodeGen.Gen64 from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Gen64,
    SPARC.CodeGen.Sanity from ghc-9.0.1:GHC.CmmToAsm.SPARC.CodeGen.Sanity,
    SPARC.Cond from ghc-9.0.1:GHC.CmmToAsm.SPARC.Cond,
    SPARC.Imm from ghc-9.0.1:GHC.CmmToAsm.SPARC.Imm,
    SPARC.Instr from ghc-9.0.1:GHC.CmmToAsm.SPARC.Instr,
    SPARC.Ppr from ghc-9.0.1:GHC.CmmToAsm.SPARC.Ppr,
    SPARC.Regs from ghc-9.0.1:GHC.CmmToAsm.SPARC.Regs,
    SPARC.ShortcutJump from ghc-9.0.1:GHC.CmmToAsm.SPARC.ShortcutJump,
    SPARC.Stack from ghc-9.0.1:GHC.CmmToAsm.SPARC.Stack,
    Settings from ghc-9.0.1:GHC.Settings,
    SimplStg from ghc-9.0.1:GHC.Stg.Pipeline,
    SrcLoc from ghc-9.0.1:GHC.Types.SrcLoc,
    State from ghc-9.0.1:GHC.Utils.Monad.State,
    StgCmm from ghc-9.0.1:GHC.StgToCmm,
    StgCmmArgRep from ghc-9.0.1:GHC.StgToCmm.ArgRep,
    StgCmmBind from ghc-9.0.1:GHC.StgToCmm.Bind,
    StgCmmClosure from ghc-9.0.1:GHC.StgToCmm.Closure,
    StgCmmCon from ghc-9.0.1:GHC.StgToCmm.DataCon,
    StgCmmEnv from ghc-9.0.1:GHC.StgToCmm.Env,
    StgCmmExpr from ghc-9.0.1:GHC.StgToCmm.Expr,
    StgCmmExtCode from ghc-9.0.1:GHC.StgToCmm.ExtCode,
    StgCmmForeign from ghc-9.0.1:GHC.StgToCmm.Foreign,
    StgCmmHeap from ghc-9.0.1:GHC.StgToCmm.Heap,
    StgCmmHpc from ghc-9.0.1:GHC.StgToCmm.Hpc,
    StgCmmLayout from ghc-9.0.1:GHC.StgToCmm.Layout,
    StgCmmMonad from ghc-9.0.1:GHC.StgToCmm.Monad,
    StgCmmPrim from ghc-9.0.1:GHC.StgToCmm.Prim,
    StgCmmProf from ghc-9.0.1:GHC.StgToCmm.Prof,
    StgCmmTicky from ghc-9.0.1:GHC.StgToCmm.Ticky,
    StgCmmUtils from ghc-9.0.1:GHC.StgToCmm.Utils,
    StgCse from ghc-9.0.1:GHC.Stg.CSE,
    StgFVs from ghc-9.0.1:GHC.Stg.FVs,
    StgLiftLams from ghc-9.0.1:GHC.Stg.Lift,
    StgLiftLams.Analysis from ghc-9.0.1:GHC.Stg.Lift.Analysis,
    StgLiftLams.LiftM from ghc-9.0.1:GHC.Stg.Lift.Monad,
    StgLint from ghc-9.0.1:GHC.Stg.Lint,
    StgStats from ghc-9.0.1:GHC.Stg.Stats,
    StgSubst from ghc-9.0.1:GHC.Stg.Subst,
    StgSyn from ghc-9.0.1:GHC.Stg.Syntax,
    Stream from ghc-9.0.1:GHC.Data.Stream,
    StringBuffer from ghc-9.0.1:GHC.Data.StringBuffer,
    SysTools from ghc-9.0.1:GHC.SysTools,
    SysTools.BaseDir from ghc-9.0.1:GHC.SysTools.BaseDir,
    SysTools.ExtraObj from ghc-9.0.1:GHC.SysTools.ExtraObj,
    SysTools.Info from ghc-9.0.1:GHC.SysTools.Info,
    SysTools.Process from ghc-9.0.1:GHC.SysTools.Process,
    SysTools.Settings from ghc-9.0.1:GHC.Settings.IO,
    SysTools.Tasks from ghc-9.0.1:GHC.SysTools.Tasks,
    SysTools.Terminal from ghc-9.0.1:GHC.SysTools.Terminal,
    TargetReg from ghc-9.0.1:GHC.CmmToAsm.Reg.Target,
    TcEnv from ghc-9.0.1:GHC.Tc.Utils.Env,
    TcHsSyn from ghc-9.0.1:GHC.Tc.Utils.Zonk,
    TcIface from ghc-9.0.1:GHC.IfaceToCore,
    TcRnMonad from ghc-9.0.1:GHC.Tc.Utils.Monad,
    TcRnTypes from ghc-9.0.1:GHC.Tc.Types,
    TcTypeNats from ghc-9.0.1:GHC.Builtin.Types.Literals,
    TidyPgm from ghc-9.0.1:GHC.Iface.Tidy,
    ToIface from ghc-9.0.1:GHC.CoreToIface,
    ToolSettings from ghc-9.0.1:GHC.Settings,
    TrieMap from ghc-9.0.1:GHC.Data.TrieMap,
    TyCoFVs from ghc-9.0.1:GHC.Core.TyCo.FVs,
    TyCoPpr from ghc-9.0.1:GHC.Core.TyCo.Ppr,
    TyCoRep from ghc-9.0.1:GHC.Core.TyCo.Rep,
    TyCoSubst from ghc-9.0.1:GHC.Core.TyCo.Subst,
    TyCoTidy from ghc-9.0.1:GHC.Core.TyCo.Tidy,
    TyCon from ghc-9.0.1:GHC.Core.TyCon,
    Type from ghc-9.0.1:GHC.Core.Type,
    TysPrims from ghc-9.0.1:GHC.Builtin.Types.Prim,
    TysWiredIn from ghc-9.0.1:GHC.Builtin.Types,
    UnVarGraph from ghc-9.0.1:GHC.Data.Graph.UnVar,
    UnariseStg from ghc-9.0.1:GHC.Stg.Unarise,
    Unify from ghc-9.0.1:GHC.Core.Unify,
    UniqDFM from ghc-9.0.1:GHC.Types.Unique.DFM,
    UniqDSet from ghc-9.0.1:GHC.Types.Unique.DSet,
    UniqFM from ghc-9.0.1:GHC.Types.Unique.FM,
    UniqSet from ghc-9.0.1:GHC.Types.Unique.Set,
    UniqSupply from ghc-9.0.1:GHC.Types.Unique.Supply,
    Unique from ghc-9.0.1:GHC.Types.Unique,
    Util from ghc-9.0.1:GHC.Utils.Misc,
    Var from ghc-9.0.1:GHC.Types.Var,
    VarEnv from ghc-9.0.1:GHC.Types.Var.Env,
    VarSet from ghc-9.0.1:GHC.Types.Var.Set,
    X86.CodeGen from ghc-9.0.1:GHC.CmmToAsm.X86.CodeGen,
    X86.Cond from ghc-9.0.1:GHC.CmmToAsm.X86.Cond,
    X86.Instr from ghc-9.0.1:GHC.CmmToAsm.X86.Instr,
    X86.Ppr from ghc-9.0.1:GHC.CmmToAsm.X86.Ppr,
    X86.RegInfo from ghc-9.0.1:GHC.CmmToAsm.X86.RegInfo,
    X86.Regs from ghc-9.0.1:GHC.CmmToAsm.X86.Regs

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghc-api-compat-8.6.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghc-api-compat-8.6.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghc-api-compat-8.6.1
hs-libraries:         HSghc-api-compat-8.6.1-8q1QXYlk3reHFu3K5ZdhQ
depends:              base-4.15.0.0 ghc-9.0.1
haddock-interfaces:
    /usr/share/doc/haskell-ghc-api-compat/html/ghc-api-compat.haddock

haddock-html:         /usr/share/doc/haskell-ghc-api-compat/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

